package org.apache.torque.manager;

/*
 * Copyright 2001-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License")
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.List;
import org.apache.torque.om.Persistent;

/**
 * Listener for cache events
 *
 * @author <a href="mailto:jmcnally@collab.net">John McNally</a>
 * @version $Id: CacheListener.java 239636 2005-08-24 12:38:09Z henning $
 */
public interface CacheListener
{
    /**
     *
     * @param om
     */
    void addedObject(Persistent om);

    /**
     *
     * @param om
     */
    void refreshedObject(Persistent om);

    //public void removedObject(Persistent om);

    /**
     *
     */
    List getInterestedFields();
}
